Jump to content
Arno78

Prestashop 1.7.5.0 Zugriff verweigert

Recommended Posts

Hallo

Wir haben seit dem wir auf die o.g. Version ein Update durchgeführt haben folgendes Problem:

In einigen Meues am Dashbord kommt "Zugriff verweigert" - obwohl ich als Superadmin angemeldt bin.

Anbei die Screenshots:

image.png.2ed067293d75ebd4566756ed0fd0360a.png

image.png.ecfc8b0bf69db7c64d3c7aade1c80cb9.png

image.png.d02c9590aa9ae24e334ae37c3e199e84.png

Hat jemand einen Tipp für uns?

 

Evtl. hat ja dieser Fehler auch etwas damit zu tun:
Wenn wir bei auf Customer settings klicken:

image.png.ad73915ee7466f22931ec8b0fef16ab3.png
image.thumb.png.149fa246ada1de0585001ca98ea05713.png

Vielen Dank

 

 

Share this post


Link to post
Share on other sites

Die Fehlermeldung würde ich ernst nehmen. Ich vermute mal ein inkompatibles Modul. 

Share this post


Link to post
Share on other sites
33 minutes ago, eleazar  said:

Die Fehlermeldung würde ich ernst nehmen. Ich vermute mal ein inkompatibles Modul. 

Ok.

Hier mal ein Screenshot der Module (aktivierte und deaktivierte)

image.thumb.png.c09b51c6c8d87c95407434fde34be476.png

image.thumb.png.f35067a7d87919b1de0bee5bf5ad4b68.png

image.thumb.png.d6c4a18be1b1bdde165456f1aabdee39.png

image.thumb.png.46a4d8ee959c7ee187f5c60188b34c96.png

image.thumb.png.fe6f4d47b01ab605312e89c7af334511.png

image.thumb.png.0e516124a1e90f4197d902e762a56a62.png

image.thumb.png.0ec9d419e202eeb3292fdf38fb407286.png

image.thumb.png.794b8acf3c53a5cc6b746d16efb1753e.png

image.thumb.png.cd101ef2518952240fb06757a374aa74.png

image.thumb.png.6f7bfc2ebfd1e5c1d41917f18f87bedb.png

 

Vielen Dankf fue die Hilfe

 

Share this post


Link to post
Share on other sites

Interessant könnte auch sein, von welcher Version du das Update gemacht hast. Fremdmodule und Overrides kannst du testweise deaktivieren, mitunter muß ein Modul nach einem Update resettet werden.

Share this post


Link to post
Share on other sites

Ach du lieber Himmel! Was ist das denn alles? Da bleibt dir wohl nichts anderes übrig, als zunächst mal alle Fremdmodule zu deaktivieren, und nach und nach wieder zu aktivieren. Bei manchen ist es leider so, dass selbst das reine Deaktivieren nicht reicht, weil Teile immer noch aktiv sind und man deswegen das ganze Modul deinstallieren müsste, um den Effekt zu sehen.

Fang am besten mal mit den Modulen von Templatemonster an. Und zuvor solltest du allerdings das völlig überflüssige Modul Handelserfolg deinstallieren und löschen, denn das führt immer wieder zu Problemen, weil es dich ständig mit PrestaShop in Paris verbindet.

Share this post


Link to post
Share on other sites

Hallo

 

Es wurde ein Update von:

1.6.1.7 > 1.6.1.23 > 1.7.5.0 durchgeführt

Fremdmodule wurde alles (so unsre IT) deaktiviert.

Fehler belibt trotzdem.
Ob jetzt ein Modul "resettet" worden ist muss ich noch einmal nachfragen.

Habt Ihr noch eine Idee?

Vielen Dank

Share this post


Link to post
Share on other sites

Von einem Update von einer 1.6er-Version auf 1.7 kann man wohl weiterhin nur abraten, das wird erst seit kurzem angeboten und scheint noch sehr fehlerbehaftet zu sein (davon abgesehen, daß hier sowieso die meisten einen Wechsel von einem laufenden 1.6 auf 1.7 nicht empfehlen). Generell laufen Templates für 1.6 nicht unter 1.7, das gleiche gilt für viele Module.

Share this post


Link to post
Share on other sites

Hallo rictools,

 

Vielen Dank für den Tipp / Hinweis.

 

Was würdest Du uns jetzt Vorschlagen um das Ganze in den Griff zu bekommen?

 

Gruß

Share this post


Link to post
Share on other sites

Ich würde das ganze rückgängig machen ...

Ansonsten zumindest erst mal alle Fremdmodule und Overrides testweise deaktivieren.

Share this post


Link to post
Share on other sites

Hallo

Kläre ich mal ab - aber ich denke unsere IT Leute haben schon alle Fremdmodule und Overrides deaktiviert.

Ist so ein "Downgrade" denn überhaupt möglich?

Oder gibt es schon eine BETA zur Version 1.7.5.1 wo evtl. diese "Bugs" dann behoben sind?

 

Gruß

Edited by Arno78 (see edit history)

Share this post


Link to post
Share on other sites

Hallo Arno78,

hast du noch andere Fehlermeldungen als die oben genannte mit "purchase_minimum_value"?

Wir verwenden auch PS 1.7.5 und dieser Wert kommt nicht sonderlich häufig vor.

Da ich keine Ahnung von PS vor 1.7.5 habe (sind vor 2 Wochen erst mit dem Shop an den Start gegangen und haben direkt dafür entwickelt), könntest du mal überprüfen, ob ein Wert für in der Datenbank gesetzt ist (Tabelle Configuration - name: PS_PURCHASE_MINIMUM) und dieser auch numerisch ist.

Viele Grüße,
Laurens

Share this post


Link to post
Share on other sites

Hallo Laurens

Danke für den Tipp aber - wir haben lediglich nur eine Fehlermeldung:

INSERT INTO `ps_specific_price`

Diese kommt vor wenn wir bei bestehenden Artikeln etwas in den Eigenschaften ändern wollen.

Ansonsten ist es so wie oben beschrieben / bei den Screenshots mit dem "Zugriff verweigert"

Gruß

Share this post


Link to post
Share on other sites
vor einer Stunde schrieb Arno78:

Ist so ein "Downgrade" denn überhaupt möglich?

"IT-Leute" sollten ja wohl vorher Shopdateien und Datenbank gesichert haben ...

Share this post


Link to post
Share on other sites

Ja sollten Sie 🙂

Werde ich gleich Anfang nächster Woche besprechen.

Wir hatten aber auch bei Version 1.6.1 diese Probleme (nur nicht das mit dem Zugriff verweigert).

Ein Update wurde ja gemacht, weil angeblich einige Module nciht mehr kompatible waren.

Außerdem war nach dem Serverumzug die Performance sehr schlecht.

Die Fehlermeldung:

INSERT INTO `ps_specific_price`

haben wir leider nicht weg bekommen.

Was also tun?

Gruß

Share this post


Link to post
Share on other sites

Module nicht mehr kompatibel? Meinst du neue gewünschte Module? Module werden ja nicht einfach unkompatibel ... Generell sind bei 1.7 diverse Module und Funktionen von 1.6 gestrichen worden und nach einem Upgrade gibt es viel eher die Gefahr, daß vorhandene Module nicht mehr verwendet werden können oder neu gekauft werden müssen.

Wenn Probleme wie das mit 'ps_specific_price' bereits vorher bestanden, könnte es sich um Fehler in der Datenbank handeln.

Share this post


Link to post
Share on other sites

Hallo rictools.

Ich habe schon etwas zu diesem Fehler im Englisch sprachigem Forum gefunden (genauern Link finde ich jetzt gerade nciht mehr).

Aber dieser Fehler liegt angeblich bei den Preisregeln.

Ich kann da aber nicht zugtreifen, weil wir dann den Fehler: "Zugtriff verweigert" haben.

image.png.5e8c0b81b734b1110665464745ddaa30.png

Gruß

Share this post


Link to post
Share on other sites

Hallo Arno,

Frag Mal die IT'ler, ob Sie Zugang zu der Datenbank haben (müssten Sie über phpmyadmin z.B.). Damit können Sie die Einträge in der Datenbank direkt ansehen.

Dort sollten Sie folgende Tabellen überprüfen (jeweils mit dem DB Prefix)

-  configuration

- employee

- specific-price

Eventuell hat sich ein Fehler bei der Konfiguration eingeschlichen, der den Zugriff verweigert.

Gruß,

Laurens

Share this post


Link to post
Share on other sites

Hallo Laurens

Vielen Dank für Deinen Tipp.

Fehler konnten jetzt nur duch ein Prestashop Ticket (durch den Support) gelöst werden.

Fehler sind jetzt behoben (nur eine unbedeutende Kleinigkeit ist da noch offen. Werde das in einem "neuen Thema erfragen.

 

Gruß

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More